<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>Arch Linux Install</title>
<meta name="author" content="dt" />
<meta name="description" content="Knowledge Base - Arch Linux Install
Header
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">Arch Linux Install</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#org07b9a09">About this installation guide</a></li>
<li><a href="#org89274ed">Getting Started</a>
<ul>
<li><a href="#org41920fa">Download the ISO</a></li>
<li><a href="#org5fc196b">Arch Wiki Installation Guide</a></li>
<li><a href="#org847a402">Install it in VirtualBox if first time.</a></li>
</ul>
</li>
<li><a href="#org3df3e7a">Partioning with fdisk</a></li>
<li><a href="#org44fd5be">Make filesystem</a></li>
<li><a href="#orge76e4b1">Base Install</a></li>
<li><a href="#orgf897d3b">Chroot</a></li>
<li><a href="#org485ec72">Users and passwords</a></li>
<li><a href="#org422fbf6">GRUB</a></li>
<li><a href="#orgc6e50f6">Installing a few things before reboot</a></li>
<li><a href="#orga21f3d6">Systemctl enable &#x2026;</a></li>
<li><a href="#org3096f85">Reboot</a></li>
<li><a href="#orgefe5c1b">Yay AUR Helper</a></li>
<li><a href="#orgc13705b">Xinit</a>
<ul>
<li><a href="#org22552ae">Footer</a></li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="../index.html">Home</a></td>
<td class="org-left"><a href="../dtos/index.html">DTOS</a></td>
<td class="org-left"><a href="index.html">Knowledge Base</a></td>
<td class="org-left"><a href="../community/index.html">Community</a></td>
<td class="org-left"><a href="../contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="../support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="outline-container-org07b9a09" class="outline-2">
<h2 id="org07b9a09">About this installation guide</h2>
<div class="outline-text-2" id="text-org07b9a09">
<p>
These are DT&rsquo;s personal notes for installing Arch Linux inside a virtual machine on video.  Obviously, it does not cover every possible scenario for installing Arch Linux.  For a more in-depth guide, it is strongly recommended that you follow the official <a href="https://wiki.archlinux.org/title/installation_guide">Arch Wiki Installation Guide</a>.
</p>
</div>
</div>
<div id="outline-container-org89274ed" class="outline-2">
<h2 id="org89274ed">Getting Started</h2>
<div class="outline-text-2" id="text-org89274ed">
</div>
<div id="outline-container-org41920fa" class="outline-3">
<h3 id="org41920fa">Download the ISO</h3>
<div class="outline-text-3" id="text-org41920fa">
<p>
Verify the ISO:
</p>
<ul class="org-ul">
<li>gpg &#x2013;keyserver-options auto-key-retrieve &#x2013;verify archlinux-2020.08.01-x86_64.iso</li>
<li>gpg &#x2013;keyserver keyserver.ubuntu.com &#x2013;recv-keys 4AA4767BBC9C4B1D18AE28B77F2D434B9741E8AC</li>
</ul>
</div>
</div>
<div id="outline-container-org5fc196b" class="outline-3">
<h3 id="org5fc196b">Arch Wiki Installation Guide</h3>
<div class="outline-text-3" id="text-org5fc196b">
<p>
You should have the official Arch Wiki Installation Guide in front of you.  The Installation Guide is not very long at all, so please read everything closely.  The Guide does have links to other pages for more in-depth discussions on certain topics, such as &ldquo;boot loaders&rdquo; for example.
</p>
</div>
</div>
<div id="outline-container-org847a402" class="outline-3">
<h3 id="org847a402">Install it in VirtualBox if first time.</h3>
<div class="outline-text-3" id="text-org847a402">
<p>
It is strongly recommended that you install Arch Linux in a virtual machine if this is your first time installing it, and especially if this is your first time installing any Linux distribution from a command line installer.
</p>

<p>
Here is what I will do:
</p>
<ul class="org-ul">
<li>Set up the VM on camera to show them correct settings.</li>
<li>Make a 20G virtual disk, 18G for primary, 2G for swap.</li>
</ul>
</div>
</div>
</div>
<div id="outline-container-org3df3e7a" class="outline-2">
<h2 id="org3df3e7a">Partioning with fdisk</h2>
<div class="outline-text-2" id="text-org3df3e7a">
<ul class="org-ul">
<li>The Installation Guide recommends using &rsquo;fdisk&rsquo; to partition your drives.</li>
<li>fdisk -l : lists out the partitions (/dev/sda and a loopback disk associated with live environment)</li>
<li>fdisk /dev/sda : enters into fdisk</li>
<li>&ldquo;m&rdquo; for help</li>
<li>&ldquo;o&rdquo; for DOS partition or &ldquo;g&rdquo; for GPT</li>
</ul>

<p>
<code>NOTE:</code> MBR only works on =&gt;2TB disks and up to four primary partitions.
GPT can be used on much larger disks, the size limit depends on the OS and filesystem.
GPT can have up to 128 partitions (you&rsquo;d have to be a complete nutter to do 128 partitions on a disk)
</p>

<ul class="org-ul">
<li>&ldquo;n&rdquo; for add new partition</li>
<li>&ldquo;p&rdquo; for primary partition</li>
<li>Partition number: &ldquo;1&rdquo; to create sda1</li>
<li>First sector defaults to 2048, hit ENTER.</li>
<li>Last sector defaults to entire disk, change it to: +550M</li>
<li>Last sector defaults to entire disk, change it to: +2G</li>
<li>Last sector defaults to entire disk, change it to: +14G (or hit ENTER for all remaining space)</li>
<li>&ldquo;n&rdquo; -&gt; &ldquo;p&rdquo; -&gt; partition 2 defaults, hit ENTER</li>
<li>&ldquo;m&rdquo; for help to change partition type, &ldquo;t&rdquo;</li>
<li>&ldquo;1&rdquo; -&gt; &ldquo;L&rdquo; -&gt; &ldquo;?&rdquo; (EFI System)</li>
<li>&ldquo;2&rdquo; -&gt; &ldquo;L&rdquo; -&gt; &ldquo;82&rdquo;</li>
<li>&ldquo;3&rdquo; -&gt; &ldquo;L&rdquo; -&gt; &ldquo;?&rdquo; (may already default to Linux filesystem)</li>
<li>&ldquo;m&rdquo; -&gt; &ldquo;a&rdquo; -&gt; &ldquo;1&rdquo; -&gt; &ldquo;w&rdquo; (write table to disk)</li>
</ul>
</div>
</div>
<div id="outline-container-org44fd5be" class="outline-2">
<h2 id="org44fd5be">Make filesystem</h2>
<div class="outline-text-2" id="text-org44fd5be">
<ul class="org-ul">
<li>mkfs.fat -F32 /dev/sda1</li>
<li>mkswap /dev/sda2</li>
<li>swapon /dev/sda2</li>
<li>mkfs.ext4 /dev/sda3</li>
</ul>
</div>
</div>
<div id="outline-container-orge76e4b1" class="outline-2">
<h2 id="orge76e4b1">Base Install</h2>
<div class="outline-text-2" id="text-orge76e4b1">
<ul class="org-ul">
<li>mount /dev/sda3 /mnt (mounts it to mnt on live image)</li>
<li>pacstrap /mnt base linux linux-firmware</li>
<li>genfstab -U /mnt &gt;&gt; /mnt/etc/fstab</li>
</ul>
</div>
</div>
<div id="outline-container-orgf897d3b" class="outline-2">
<h2 id="orgf897d3b">Chroot</h2>
<div class="outline-text-2" id="text-orgf897d3b">
<ul class="org-ul">
<li>arch-chroot /mnt (change into root directory of our new installation)</li>
</ul>
<p>
<code>NOTE:</code> Chroot is used for installation or system rescue.
Prompt will change, letting us know we are logged in as root on new system.
</p>
<ul class="org-ul">
<li>ln -sf /usr/share/zoneinfo/America/Chicago /etc/localtime</li>
<li>hwclock &#x2013;systohc (sets the hardware clock)</li>
<li>nano /etc/locale.gen</li>
<li><p>
nano /etc/locale.conf
</p>
<pre class="example" id="org6f2470f">
  LANG=en_US.UTF-8
  LC_CTYPE=en_US.UTF-8
</pre></li>

<li>locale-gen</li>
<li>sudo pacman -S nano (still chrooted so nano will be installed on new system)</li>
<li>nano /etc/hostname (archvbox)</li>
<li><p>
nano /etc/hosts
</p>
<pre class="example" id="org2996497">
  127.0.0.1	localhost
  ::1		localhost
  127.0.1.1	archvbox.localdomain	archvbox
</pre></li>
</ul>
</div>
</div>
<div id="outline-container-org485ec72" class="outline-2">
<h2 id="org485ec72">Users and passwords</h2>
<div class="outline-text-2" id="text-org485ec72">
<ul class="org-ul">
<li>passwd (set root pass)</li>
<li>make normal user: useradd -m dt</li>
<li>passwd dt</li>
<li>usermod -aG wheel,audio,video,optical,storage dt</li>
<li>pacman -S sudo</li>
<li>EDITOR=nano visudo</li>
</ul>
</div>
</div>
<div id="outline-container-org422fbf6" class="outline-2">
<h2 id="org422fbf6">GRUB</h2>
<div class="outline-text-2" id="text-org422fbf6">
<ul class="org-ul">
<li>pacman -S grub</li>
<li>grub-install /dev/sda</li>
<li>grub-mkconfig -o /boot/grub/grub.cfg</li>
</ul>
</div>
</div>
<div id="outline-container-orgc6e50f6" class="outline-2">
<h2 id="orgc6e50f6">Installing a few things before reboot</h2>
<div class="outline-text-2" id="text-orgc6e50f6">
<ul class="org-ul">
<li>networkmanager (sudo systemctl enable &#x2013;now NetworkManager)</li>
<li>xorg xorg-init</li>
<li>lightdm lightdm-gtk-greeter</li>
<li>A lightweight window manager for a GUI (awesome, fluxbox, etc.)</li>
<li>A terminal emulator (such as alacritty)</li>
<li>A text editor (such as vim/neovim)</li>
<li>A web browser (such as firefox)</li>
<li>A few other things I may want: git, nitrogen, picom</li>
<li>xf86-video-fbdev (graphics driver for the VM)</li>
</ul>
</div>
</div>
<div id="outline-container-orga21f3d6" class="outline-2">
<h2 id="orga21f3d6">Systemctl enable &#x2026;</h2>
<div class="outline-text-2" id="text-orga21f3d6">
<ul class="org-ul">
<li><p>
Edit the lightdm config file
/etc/lightdm/lightdm.conf
[Seat:*]
</p>

<pre class="example" id="orgbf277bb">
  ...
  greeter-session=lightdm-yourgreeter-greeter
  ...
</pre></li>
<li>systemctl enable lightdm</li>
<li>systemctl enable NetworkManager</li>
</ul>
</div>
</div>
<div id="outline-container-org3096f85" class="outline-2">
<h2 id="org3096f85">Reboot</h2>
<div class="outline-text-2" id="text-org3096f85">
<ul class="org-ul">
<li>exit the chroot</li>
<li>Unmount: umount /mnt</li>
<li>reboot (shutdown now to detach the ISO in VBOX)</li>
</ul>
</div>
</div>
<div id="outline-container-orgefe5c1b" class="outline-2">
<h2 id="orgefe5c1b">Yay AUR Helper</h2>
<div class="outline-text-2" id="text-orgefe5c1b">
<pre class="example" id="org61844b1">
  git clone https://aur.archlinux.org/yay-git.git
  ls -la
  cd yay-git
  makepkg -si
  yay -S name-of-package (for installing a package)
</pre>
</div>
</div>
<div id="outline-container-orgc13705b" class="outline-2">
<h2 id="orgc13705b">Xinit</h2>
<div class="outline-text-2" id="text-orgc13705b">
<ul class="org-ul">
<li>cp <i>etc/X11/xinit/xinitrc /home/dt</i>.xinitrc</li>
<li>sudo chown dt:dt .xinitrc</li>
<li>vim .xinitrc</li>
<li><p>
In .bash_profile:
</p>
<pre class="example" id="org4a27994">
  [[ [[ $(fgconsole 2&gt;/dev/null) == 1 ]] ]] &amp;&amp; exec startx -- vt1
</pre></li>
</ul>
</div>

<div id="outline-container-org22552ae" class="outline-3">
<h3 id="org22552ae">Footer</h3>
<div class="outline-text-3" id="text-org22552ae">
<p>
Copyright © 2020-2021 Derek Taylor (DistroTube)
</p>

<p>
This page is licensed under a <a href="https://creativecommons.org/licenses/by-nd/4.0/">Creative Commons Attribution-NoDerivatives 4.0 International License</a> (CC-BY-ND 4.0).
</p>

<p>
The source code for distro.tube can be found on <a href="https://gitlab.com/dwt1/distro.tube">GitLab</a>.  User-submitted contributions to the site are welcome, as long as the contributor agrees to license their submission with the CC-BY-ND 4.0 license.
</p>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
